#
# spec file for package geeqie
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           geeqie
Version:        1.1
Release:        13.5
Summary:        Lightweight Gtk+ based image viewer
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
## FIXME - Check on version update if support for the libchamplain we have in factory is finaly supported, last checked version 1.1
Url:            http://geeqie.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/geeqie/geeqie/geeqie-1.1/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM geeqie-bigendian.patch dvaleev@suse.com -- Fix build on big endian systems. Taken from upstream commit c6793b7
Patch0:         geeqie-bigendian.patch
# PATCH-FIX-UPSTREAM geeqie-1.1-fix-bashisms.patch ledest@gmail.com -- Fix bashisms, upstream commit 7a32d30
Patch1:         geeqie-1.1-fix-bashisms.patch
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
## FIXME - disabled since the version we have in factory is not supportet by current version 1.1
# BuildRequires:  libchamplain-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  lirc-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(exiv2) >= 0.11
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(lcms) >= 1.14
Recommends:     %{name}-lang
# geeqie is a fork of the last know gqview release
Obsoletes:      gqview <= 2.1.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Geeqie is a lightweight Gtk+ based image viewer for Unix like
operating systems.

%lang_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
        --enable-lirc \
        --enable-gps \
        --with-readmedir=%{_defaultdocdir}/%{name} \
        --with-htmldir=%{_defaultdocdir}/%{name}/html
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file %{name}
%fdupes %{buildroot}

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc %{_defaultdocdir}/%{name}
%{_bindir}/geeqie
%{_datadir}/applications/geeqie.desktop
%{_datadir}/geeqie/
%{_datadir}/pixmaps/geeqie.png
%{_libexecdir}/geeqie/
%doc %{_mandir}/man1/geeqie.1%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Wed Dec 17 2014 zaitor@opensuse.org
- Rebase patch to match what upstream actually have commited.
* Tue Dec 16 2014 Led <ledest@gmail.com>
- Add geeqie-1.1-fix-bashisms.patch: Fix bashisms in geeqie-rotate
  script.
* Fri Dec 28 2012 dvaleev@suse.com
- Add geeqie-bigendian.patch: fix bigendian build.
* Sun Sep 16 2012 zaitor@opensuse.org
- Update to version 1.1:
  + Support for stereoscopic images.
  + input: side-by-side (JPS) and MPO format.
  + output: single image, anaglyph, SBS, mirror, SBS half size
    (3DTV).
  + Custom tiff loader - better handling of large tiff files.
  + Rewritten file grouping.
- Add libjpeg-devel and libtiff-devel BuildReqiuires, support jpg,
  and tiff loader.
- Add FIXME entry for champlain support.
- Pass enable-gps to configure, even if this is not taken into
  accout at the moment, libchamplain is not an active
  BuildRequires.
- Change configure switch --with-helpdir to --with-html dir,
  upstream does not support --with-helpdir anymore.
* Tue Sep 27 2011 vuntz@opensuse.org
- Initial package of this gqview fork (version 1.0).
